%define name sqlguipgsql
%define version 0.1.1
%define release %mkrel 8
%define qtdir /usr/lib/qt3
%define major 0
%define libname %mklibname %name %major

Summary: 	SqlGui is a graphical database-frontend for KDE.
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-namespace.patch
Buildroot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt3-devel kdelibs-devel postgresql-devel

%description
PostgresSQL-plugin for SqlGui

%package -n %libname
Summary:    SqlGui is a graphical database-frontend for KDE.
Group:      Databases
Provides:	lib%name = %version-%release

%description -n %libname
PostgresSQL-plugin for SqlGui

%package -n %libname-devel
Summary:    SqlGui is a graphical database-frontend for KDE.
Group:      Development/Other
Provides:   lib%name-devel = %version-%release
Requires:   %libname = %version-%release
Provides:   sqlgui-lib

%description -n %libname-devel
PostgresSQL-plugin for SqlGui
This package contain development files

%prep
%setup -q
%patch0 -p1 -b .stdout

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" KDELIB=%_includedir \
./configure --prefix=%{_prefix}  --with-qt-dir=%{qtdir} --libdir=%{_libdir} \
            --with-extra-libs=%_libdir/pgql  --with-extra-includes=/usr/include/pgsql

%make

%install

%makeinstall_std

#exec_prefix=%buildroot/%_libdir

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc README COPYING TODO INSTALL AUTHORS
%{_libdir}/libsqlguipgsql-%version.so

%files -n %libname-devel
%defattr(-,root,root)
%doc README COPYING TODO INSTALL AUTHORS
%{_libdir}/libsqlguipgsql.so
%{_libdir}/lib*.la
%dir %{_includedir}/sqlguipgsql/
%{_includedir}/sqlguipgsql/*.h





%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-8mdv2008.0
+ Revision: 90273
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-7mdv2007.0
+ Revision: 108766
- rebuild

* Mon Jul 17 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-6mdv2007.0
+ Revision: 41335
- rebuild
- Import sqlguipgsql

* Sun May 08 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-5mdk
- fix 64bits build

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-4mdk
- birthday rebuild

* Mon Apr 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-3mdk
- Birthday rebuild

